<template>
    <v-app>
        <v-navigation-drawer
            persistent
            mini-variant
            clipped
            v-model="drawer"
            enable-resize-watcher
            fixed
            app
            dark
        >
            <div>
                <div v-for="(route,index) in routes" :key=" index"></div>
                <v-btn :to="routes[0]" class="test" color="primary" large block>
                    <img src="../assets/Verifi3D_3Dview.png" alt="Vuetify.js">
                </v-btn>
                <v-btn :to="routes[1]" class="test" color="primary" large block>
                    <img src="../assets/Verifi3D_rules.png" alt="Vuetify.js">
                </v-btn>
                <v-btn :to="routes[2]" class="test" color="primary" large block>
                    <img src="../assets/Verifi3D_Dashboard.png" alt="Vuetify.js">
                </v-btn>
                <v-btn :to="routes[3]" class="test" color="primary" large block>
                    <img src="../assets/Verifi3D_Issues.png" alt="Vuetify.js">
                </v-btn>
            </div>
        </v-navigation-drawer>

        <v-toolbar app clipped-left dark>
            <v-toolbar-items>
                <v-btn color="primary" flat>
                    <img
                        src="../assets/Xinaps-white.png"
                        alt="Vuetify.js"
                        class="mb-3"
                        aria-setsize="20"
                    >
                </v-btn>
            </v-toolbar-items>
            <v-breadcrumbs divider=">">
                <v-breadcrumbs-item
                    v-for="breadcrumbsitem in breadcrumbsitems"
                    :key="breadcrumbsitem.text"
                    :disabled="breadcrumbsitem.disabled"
                >{{ breadcrumbsitem.text }}</v-breadcrumbs-item>
            </v-breadcrumbs>
            <v-spacer></v-spacer>
            <v-toolbar-title v-text="title"></v-toolbar-title>
            <v-spacer></v-spacer>
            <v-toolbar-items>
                <v-btn flat>
                    <v-icon dark>help</v-icon>
                </v-btn>
                <Notifications/>
                <Settings/>
                <ProfileDropDown/>
            </v-toolbar-items>
        </v-toolbar>

        <v-content>
            <v-container fluid>
                <v-layout row>
                    <v-flex lg4>
                        <transition>
                            <router-view></router-view>
                        </transition>
                    </v-flex>
                    <v-flex>
                        <ThreedViewer></ThreedViewer>
                    </v-flex>
                </v-layout>
            </v-container>
        </v-content>

        <v-footer :fixed="fixed" app>
            <span>&copy; 2018</span>
        </v-footer>
    </v-app>
</template>

<script>
import Vue from "vue";
import ProfileDropDown from "./top-bar/top-profile";
import Settings from "./top-bar/top-settings";
import Notifications from "./top-bar/top-notifications";
import ThreedViewer from "components/3d-viewer/3d-viewer";

export default {
    data() {
        return {
            routes,
            collapsed: true,
            drawer: true,
            fixed: false,

            right: true,
            title: "template_ASPNETCORE_VUE",
            breadcrumbsitems: [
                {
                    text: "Projects",
                    disabled: false
                },
                {
                    text: "Xinaps Examples",
                    disabled: false
                },
                {
                    text: "Xinaps_building.rvt",
                    disabled: true
                }
            ]
        };
    },

    components: {
        ProfileDropDown,
        Settings,
        Notifications,
        ThreedViewer
    },
    methods: {
        toggleCollapsed: function(event) {
            this.collapsed = !this.collapsed;
        }
    }
};

import { routes } from "../routes";
</script>

<style>
img {
    display: block;
    width: 35px;
}

.test {
    height: 70px;
}
</style>
